unit NoTitleF;

interface

uses
  SysUtils, Windows, Messages, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    btnX: TButton;
    btnLarge: TButton;
    pb: TProgressBar;
    Button1: TButton;
    Button2: TButton;
    procedure btnXClick(Sender: TObject);
    procedure btnLargeClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    procedure CreateParams (var Params: TCreateParams); override;
    procedure HitTest (var Msg: TWmNcHitTest);
      message wm_NcHitTest;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.CreateParams (var Params: TCreateParams);
begin
  inherited CreateParams (Params);
  Params.Style := (Params.Style or ws_Popup) and
    not ws_Caption;
end;

procedure TForm1.HitTest(var Msg: TWmNcHitTest);
begin
  inherited;
  if (Msg.Result = htClient) and (Msg.YPos <
      Label1.Height + Top + GetSystemMetrics (sm_cyFrame)) then
    Msg.Result := htCaption;
end;

procedure TForm1.btnXClick(Sender: TObject);
begin
  Close;
end;

procedure TForm1.btnLargeClick(Sender: TObject);
var
  hregion1, hregion2: THandle;
  I: Integer;
begin
  for I := pb.Position to pb.Max do
  begin
    pb.Position := I;
    // Delay (100);
    Application.ProcessMessages;
  end;
  hregion1 := CreateRectRgn (0, 0, Width, Height);
  hregion2 := CreateRectRgn (pb.Left, pb.Top,
    pb.Left + pb.Width * 2 + 4, pb.Top + pb.Height + 4);
  CombineRgn (hregion2, hregion2, hregion1, rgn_or);
  SetWindowRgn (Handle, hregion2, true);
  btnX.Anchors := [akTop, akLeft];
  Width := Width * 2;
  btnX.Left := btnX.Left + 4;
  pb.Width  := pb.Width * 2;
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  I: Integer;
begin
  for I := pb.Position to pb.Max do
  begin
    pb.Position := I;
    // Delay (100);
    Application.ProcessMessages;
  end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  pb.Position := 10;
end;

end.
