unit oifont;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls,
  Forms, Dialogs, Menus;

type
  TFontMenu = class (TMenuItem)
  public
    procedure FontMenuClick (Sender: TObject);
  end;

implementation

var
  I: Integer;
  Inspector: TForm;
  Fontmenu: TFontMenu;

{ TFontMenu }

procedure TFontMenu.FontMenuClick(Sender: TObject);
var
  fontd: TFontDialog;
begin
  fontd := TFontDialog.Create (nil);
  fontd.Font := Inspector.Font;
  if fontd.Execute then
    Inspector.Font := fontd.Font;
  FreeAndNil (fontd);
end;

initialization
  // get Delphi objects
  Inspector := nil;
  for I := 0 to Screen.FormCount - 1 do
    if Screen.Forms[I].ClassName = 'TPropertyInspector' then
      Inspector := Screen.Forms[I];
  if not Assigned (Inspector) then
    raise Exception.Create ('Object Inspector not found');

  fontmenu := TFontMenu.Create (Application);
  fontmenu.Caption := 'Font...';
  fontmenu.OnClick := fontmenu.FontMenuClick;
  Inspector.PopupMenu.Items.Add (fontmenu);
end.
