unit TrackerForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Timer1: TTimer;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  Y2K: TDateTime;

implementation

{$R *.DFM}

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  Label1.Caption := FormatDateTime (
    'mmmm dd, yyyy - hh:nn:ss'#13' ', Now);

  // add comment
  if Now < Y2K then
  begin
    Label2.Caption := Format ('Still %d days and %s to go'#13,
      [round(Y2K - Now),
      FormatDateTime ('hh:nn:ss', Y2K - Now)]);
    Label3.Caption := 'Computer may blow up soon!'#13'Backup your data to paper!'
  end
  else
  begin
    Label2.Caption := Format (#13'Year 2000 since %d days and %s'#13,
      [round(Now - Y2K),
      FormatDateTime ('hh:nn:ss', Now - Y2K)]);
    Label3.Caption :=
      'The computer is still running!'#13'Miracles do happen!';
  end;
end;

initialization
  Y2k := EncodeDate (2000, 1, 1)
end.
